=begin
zoomWindowSelect_dj Ver. 3.0 -ZoomView_dj
Copyright 2012, June 28
DukeJazz: by James Cochran

Simple One button Double zoom, style and view (API send_action tools)
Freely use, and abuse at your own risk. Fitness of usage is not warranty implied 

History:
2012, June 28
-Turn into one button menu control for many more zoom and view features

2012, June 14
- add 6 feature to zoomWindowSelect_dj 
=end

require 'sketchup.rb'

def asZoomViewDj
dj_zoom = "zoomWindowSelect_dj"
dj_view = "viewPerspective"
dj_styles ="Textures"
dj_display = ""
Sketchup.send_action("viewZoomToSelection:")


#inputbox
lis=["|zoomWindowSelect_dj|zoomSelect_dj|zoomFreehand_dj|zoomCircleTool_dj|zoomRectangleTool_dj|zoomLineTool_dj|zoomPushPull_dj|zoomPolygon_dj|zoomScale_dj|zoomMove_dj|zoomRotate_dj|zoomExtents_dj|zoomErase_dj"]
lis1=["|viewPerspective|viewFront|viewBack|viewLeft|viewRight|viewTop|viewBottom|viewIso|viewUndo|10507 setAxonometric   |10519 cameraOrtho|10529 zoomout_dj"]
lis2=["|Textures|10513 Transparency|10510 Wire|10511 Hidden lines|10512 Shading|10602 Shadows|Monochrome|10603 Profiles|10604 Extension|10605 Jitter|ShowAxes"]
lis3=["|fixNonPlanarFaces|21476 non-planar check|display outliner|showRubyPanel|21056: create face loop|getPhotoTexture|21060 Components Window|21076 Preferences|21488 Info Window|21490 Soften Edges Window|21354 Layer Window|21477 accelerators window|21080 Page Window|21406 Fog box"]

#inputbox
prompts = ["Zoom","View","Styles","Display"]
values = [dj_zoom,dj_view,dj_styles,dj_display]
lists = [lis,lis1,lis2,lis3]
#inputbox
results = inputbox prompts, values, lists, "ZoomView_dj Ver. 3.0"
#Sketchup.send_action("selectScaleTool:");Sketchup.send_action(10526) if not results
if not results then Sketchup.send_action("viewUndo:");return;end 
dj_zoom,dj_view,dj_styles,dj_display = results
Sketchup.send_action(10526)
ans = case dj_display.to_s
when "fixNonPlanarFaces" then Sketchup.send_action("fixNonPlanarFaces:")
when "21476 non-planar check" then Sketchup.send_action(21476)
when "display outliner" then Sketchup.send_action(21513)
when "showRubyPanel" then Sketchup.send_action("showRubyPanel:")
when "21056: create face loop" then Sketchup.send_action(21056)
when "21060 Components Window" then Sketchup.send_action(21060)
when "getPhotoTexture" then Sketchup.send_action("getPhotoTexture:")
when "21076 Preferences" then Sketchup.send_action(21076)  
when "21488 Info Window" then Sketchup.send_action(21488)  
when "21490 Soften Edges Window" then Sketchup.send_action(21490) 
when "21354 Layer Window" then Sketchup.send_action(21354) 
when "21477 accelerators window" then Sketchup.send_action(21477)
when "21080 Page Window" then Sketchup.send_action(21080)  
when "21406 Fog box" then Sketchup.send_action(21406)
end
ans = case dj_styles.to_s
when "10513 Transparency" then Sketchup.send_action(10513) 
when "10512 Shading" then Sketchup.send_action(10512)
when "10510 Wire" then Sketchup.send_action(10510) 
when "10511 Hidden lines" then Sketchup.send_action(10511)
when "10602 Shadows" then Sketchup.send_action(10602) 
when "10603 Profiles" then Sketchup.send_action(10603)
when "10604 Extension" then Sketchup.send_action(10604) 
when "10605 Jitter" then Sketchup.send_action(10605)
when "ShowAxes" then Sketchup.send_action("viewShowAxes:") 
when "Textures" then Sketchup.send_action("renderTextures:")
when "Monochrome" then Sketchup.send_action("renderMonochrome:")
end
ans = case dj_view.to_s
when "viewPerspective" then Sketchup.send_action("viewPerspective:") 
when "viewFront" then Sketchup.send_action("viewFront:")
when "viewBack" then Sketchup.send_action("viewBack:") 
when "viewLeft" then Sketchup.send_action("viewLeft:")
when "viewRight" then Sketchup.send_action("viewRight:") 
when "viewTop" then Sketchup.send_action("viewTop:")
when "viewBottom" then Sketchup.send_action("viewBottom:") 
when "viewIso" then Sketchup.send_action("viewIso")
when "viewUndo" then Sketchup.send_action("viewUndo:") 
when "10507 setAxonometric   " then Sketchup.send_action(10507)
when "10519 cameraOrtho" then Sketchup.send_action(10519) 
when "10529 zoomout_dj" then Sketchup.send_action(10529)
end
ans = case dj_zoom.to_s
when "zoomWindowSelect_dj" then Sketchup.send_action("viewZoomToSelection:")
when "zoomSelect_dj" then Sketchup.send_action("selectSelectionTool:")
when "zoomFreehand_dj" then Sketchup.send_action("selectFreehandTool:")
when "zoomCircleTool_dj" then Sketchup.send_action("selectCircleTool:")
when "zoomRectangleTool_dj" then Sketchup.send_action("selectRectangleTool:")
when "zoomLineTool_dj" then Sketchup.send_action("selectLineTool:")
when "zoomPushPull_dj" then Sketchup.send_action("selectPushPullTool:")
when "zoomPolygon_dj" then Sketchup.send_action(21095)
when "zoomScale_dj" then Sketchup.send_action("selectScaleTool:")
when "zoomMove_dj" then Sketchup.send_action("selectMoveTool:")
when "zoomRotate_dj" then Sketchup.send_action("selectRotateTool:")
when "zoomExtents_dj" then Sketchup.send_action("viewZoomExtents:")
when "zoomErase_dj" then Sketchup.send_action("selectEraseTool:")
end
Sketchup.send_action(10526)
Sketchup.active_model.commit_operation
end

#=begin
def youSU_contextAa
UI.add_context_menu_handler do |context|
m = context.add_submenu("ZoomView_dj")
m.add_item("ZoomView_dj")  { asZoomViewDj }
end  #do
end;# def
youSU_contextAa
#=end
if(!$ZoomView_dj_menu_loaded) 
UI.menu("Plugins").add_item("ZoomView_dj") { asZoomViewDj }

m= UI::Toolbar.new("ZoomView_dj")
#_ZoomPushPull_dj______________________________________________
cmd = UI::Command.new("ZoomView_dj")   { asZoomViewDj } 
cmd.small_icon = cmd.large_icon = File.dirname(__FILE__) + "/dj_ZoomWindowSelect/ZoomZoom_dj.png"
cmd.tooltip ="ZoomViewWindowSelect_dj";cmd.status_bar_text = " Zoom select and Zoom Window...View and zoom Tools"
m.add_item(cmd)
end

#--------------------------------------------------------------------------
file_loaded("ZoomView_dj.rb")

