=begin
zoomZoom_dj Ver. 2.0
Copyright 2012, June 14
DukeJazz: by James Cochran

6 Simple Double zoom zoom tools API 
ZoomWindowSelect_dj, zoomZoomPushPull_dj, zoomZoomPolygon_dj, 
zoomZoomScale_dj, zoomZoomMove_dj and zoomZoomRotate_dj 
You can use your shortcut keys for more possibilities
=end

def zoomWindowSelect_dj
factor=1.00000001.to_f
Sketchup.send_action("viewZoomToSelection:")
Sketchup.send_action(10526)
end

def zoomPushPull_dj
Sketchup.send_action("selectPushPullTool:")
Sketchup.send_action("viewZoomToSelection:")
Sketchup.send_action(10526)
end

def zoomPolygon_dj
Sketchup.send_action(21095)
Sketchup.send_action("viewZoomToSelection:")
Sketchup.send_action(10526)
end

def zoomScale_dj 
Sketchup.send_action("selectScaleTool:")
Sketchup.send_action("viewZoomToSelection:")
Sketchup.send_action(10526)
end

def zoomMove_dj 
Sketchup.send_action("selectMoveTool:")
Sketchup.send_action("viewZoomToSelection:")
Sketchup.send_action(10526)
end

def zoomRotate_dj 
Sketchup.send_action("selectRotateTool:")
Sketchup.send_action("viewZoomToSelection:")
Sketchup.send_action(10526)
end

#=begin
def youSU_contextAa
UI.add_context_menu_handler do |context|
m = context.add_submenu("Zoom Zoom")
m.add_item("ZoomWindowSelect")  { zoomWindowSelect_dj }
m.add_item("ZoomWindowSelectPolygon_dj") { zoomPolygon_dj }
m.add_item("ZoomWindowSelectPushPull_dj") { zoomPushPull_dj }
m.add_item("ZoomWindowSelectScale_dj")  { zoomScale_dj  }
m.add_item("ZoomWindowSelectMove_dj")  { zoomMove_dj }
m.add_item("ZoomWindowSelectRotate_dj")  { zoomRotate_dj }
end  #do
end;# def
youSU_contextAa
#=end

UI.menu("Plugins").add_item("ZoomWindowSelect_dj") { zoomSelect_dj}

m= UI::Toolbar.new("Zoom Zoom_dj")
#_ZoomPushPull_dj______________________________________________
cmd = UI::Command.new("ZoomWindowSelect_dj")   { zoomWindowSelect_dj } 
cmd.small_icon = cmd.large_icon = File.dirname(__FILE__) + "/dj_ZoomWindowSelect/Select.png"
cmd.tooltip ="ZoomWindowSelect_dj";cmd.status_bar_text = " Zoom select and Zoom Window...Select Tool"
m.add_item(cmd)
#_ZoomPushPull_dj______________________________________________
cmd = UI::Command.new("ZoomWindowSelectPushPull_dj")   { zoomPushPull_dj } 
cmd.small_icon = cmd.large_icon = File.dirname(__FILE__) + "/dj_ZoomWindowSelect/pull.png"
cmd.tooltip ="ZoomWindowSelectPushPull_dj";cmd.status_bar_text = " Zoom select and Zoom Window...PushPull Tool"
m.add_item(cmd)
#_Zoom Polygon_21245_____________________________________________
cmd = UI::Command.new("ZoomWindowSelectPolygon_dj")   { zoomPolygon_dj } 
cmd.small_icon = cmd.large_icon = File.dirname(__FILE__) + "/dj_ZoomWindowSelect/polygon.png"
cmd.tooltip ="ZoomWindowSelectPolygon_dj";cmd.status_bar_text = " Zoom select and Zoom Window...PolygonTool"
m.add_item(cmd)
#_Zoom Scale______________________________________________
cmd = UI::Command.new("ZoomWindowSelectScale_dj")   { zoomScale_dj } 
cmd.small_icon = cmd.large_icon = File.dirname(__FILE__) + "/dj_ZoomWindowSelect/scale.png"
cmd.tooltip ="ZoomWindowSelectScale_dj";cmd.status_bar_text = " Zoom select and Zoom Window...ScaleTool "
m.add_item(cmd)
#_Zoom Move______________________________________________
cmd = UI::Command.new("ZoomWindowSelectMove_dj")   { zoomMove_dj } 
cmd.small_icon = cmd.large_icon = File.dirname(__FILE__) + "/dj_ZoomWindowSelect/move.png"
cmd.tooltip ="ZoomWindowSelectMove_dj";cmd.status_bar_text = " Zoom select and Zoom Window...MoveTool: "
m.add_item(cmd)
#_Zoom Rotate______________________________________________
cmd = UI::Command.new("ZoomWindowSelectRotate_dj")   { zoomRotate_dj } 
cmd.small_icon = cmd.large_icon = File.dirname(__FILE__) + "/dj_ZoomWindowSelect/rotate.png"
cmd.tooltip ="ZoomWindowSelectRotate_dj";cmd.status_bar_text = " Zoom select and Zoom Window...RotateTool"
m.add_item(cmd)
m.show

#--------------------------------------------------------------------------
file_loaded("ZoomWindowSelect_dj.rb")